export const ownerTypeList = {
  A_D01: 'A-D01', // 世界灌溉工程遗产
  A_E01: 'A-E01', // 历史文化名城
  A_E02: 'A-E02', // 历史城区
  A_E03: 'A-E03', // 历史文化街区
  A_E04: 'A-E04', // 历史文化名镇
  A_E05: 'A-E05', // 历史文化名村
  A_E06: 'A-E06', // 传统村落
  A_E07: 'A-E07', // 历史风貌区
  A_E08: 'A-E08', // 历史地段
  A_E09: 'A-E09', // 传统风貌建筑
  A_E10: 'A-E10', // 历史建筑
  A_F01: 'A-F01', // 不可移动文物
  A_G01: 'A-G01', // 工业遗产(物质遗存)
  A_H01: 'A-H01', // 农业文化遗产
  A_I01: 'A-I01', // 古树名木
  A_J01: 'A-J01', // 国家文化公园
  A_K01: 'A-K01', // 考古遗址公园
  A_L01: 'A-L01', // 水下文物保护区
  A_M01: 'A-M01', // 地下文物埋藏区
  A_N01: 'A-N01', // 风景名胜区
  A_O01: 'A-O01', // 文化线路
  A_P01: 'A-P01', // 可移动文物(馆藏文物)
  B_Q01: 'B-Q01', // 非物质文化遗产代表性项目
  B_R01: 'B-R01', // 地名文化遗产
  B_S01: 'B-S01', // 工业遗产(非物质遗存)
  C_P01: 'C_P01' // 项目（预编码）
}

export const resTypeList = {
  image: '1', // 图片
  d3: '7', // 三维模型
  pointCloud: '8', // 点云模型
  tiltModel: '9', // 倾斜模型
  audio: '2', // 音频
  video: '3', // 视频
  panora: '4', // 全景
  gis: '6', // 地图文件
  compress: '10', // 压缩包
  others: '99', // 其他文件类型
  docs: '11', // 办公文档
  dwg: '5' // 图纸
}

// export const AttachUplodParam = {
//   attachId: '', // 数字资源附件主键值
//   dataresId: '', // 数字资源主键值
//   ownerType: '', // 主体所属类型
//   ownerId: '', // 主体所属主键值
//   resType: '', // 数字资源分类
//   useType: '', // 数字资源用途
//   sortOrder: 0, // 数字资源排序号
//   versionType: '', // 版本类型
//   attachDir: '' // 当数字资源附件为文件包时，先将目录上传到minio中，然后将文件夹路径存于此
// }

// export const DataResAttachInfo = {
//   // @ApiModelProperty(value = "数字资源附件主键值")
//   attachId: '',

//   // @ApiModelProperty(value = "附件名称")
//   attachName: '',

//   // @ApiModelProperty(value = "源文件URL")
//   srcFileUrl: '',

//   // @ApiModelProperty(value = "缩略图文件URL")
//   thumbnailUrl: '',

//   // @ApiModelProperty(value = "版本类型")
//   versionType: '',

//   // @ApiModelProperty(value = "数字资源主键值")
//   dataresId: '',

//   // @ApiModelProperty(value = "数字资源名称")
//   resName: '',

//   // @ApiModelProperty(value = "属主类型", notes = "业务信息代码")
//   ownerType: '',

//   // @ApiModelProperty(value = "属主数据主键值")
//   ownerId: '',

//   // @ApiModelProperty(value = "数字资源分类")
//   resType: '',

//   // @ApiModelProperty(value = "数字资源用途", notes = "对不同属主类型可自定义")
//   useType: '',

//   // @ApiModelProperty(value = "数字资源排序号")
//   sortOrder: '',

//   // 当数字资源附件为文件包时，先将目录上传到minio中，然后将文件夹路径存于此
//   attachDir: '',

//   // 是否封面图像
//   faceFlag: 0
// }

// export const DataResUseType = {
//   // 此处仅为样例
//   usetype1: 1,
//   usetype2: 2
// }
