const isProduction = process.env.NODE_ENV === 'production'

module.exports = {
  root: true,
  env: {
    node: true
  },
  'extends': [
    'plugin:vue/essential',
    '@vue/standard'
  ],
  globals: {
    'ysfChat': true,
    'bsi': true
  },
  rules: {
    'no-console': isProduction ? 'error' : 'off',
    'no-debugger': isProduction ? 'error' : 'off',
    'object-curly-spacing': 'off',
    'space-before-function-paren': 'off',
    'camelcase': 'off',
    "template-curly-spacing": "off",
    'indent': "off"
  },
  parserOptions: {
    parser: 'babel-eslint'
  }
}
