## okay-com-lib



### 基于okay框架快速产品开发平台



#### npm 安装

```
npm i okay-com-lib -S
```



#### 1、上传组件

```JavaScript
//引入组件
import okayUpload from 'okay-com-lib/okayUpload'

//注册组件
components: {
  okayUpload
}

//组件调用
<okay-upload 
  ownerId="fdb6c1cf6b474e9bb84386bc4ac9c6e7" 
  ownerType="A-E10" 
  resType="image" 
  title="图片" 
  des="请选择图片" 
  maxNum="8"
>
</okay-upload>

// 参数说明
ownerId     主体所属主键值
ownerType   主体所属类型
resType     数字资源分类
title       文件标题
des         文件描述
maxNum      支持上传最大个数
useType     数字资源用途 （1）
size        图片区域大小（215px）
type        编辑：edit，还是预览：preview 默认edit

```



#### 2、预览组件

```JavaScript
//引入组件
import okayUpload from 'okay-com-lib/okay-browse'

//注册组件
components: {
  okayBrowse
}

//组件调用
<okay-browse 
  url="http://pic-bucket.ws.126.net/photo/0005/2022-11-10/HLRCCFI8SBUM0005NOS.jpg" 
  resType="image" 
  attachName="图片描述"
>
</okay-browse>

// 参数说明
url         资源路径
resType     数字资源分类
attachName  文件标题
size        图片区域大小（215px）

```

