export default {
  title: 'okay快速开发平台',
  indexTitle: 'okay快速开发平台',
  subtitle: 'okay-com-lib',
  copyright: 'Copyright © 2022 www.okaygis.com. All rights reserved.',
  key: 'okay-com-lib', // 配置主键,目前用于存储
  validateCode: false, // 是否开启验证码校验
  appCode: 'okdc', // 应用编码，用于拉取对应的应用系统菜单
  register: true, // 是否开启注册
  connectSync: true, // 是否开启互联同步
  domainAutoTenant: false, // 是否根据 domain 自动匹配租户
  formLoginClient: 'okdc:okdc', // 用户名密码登录的 client 信息
  smsLoginClient: 'app:app', // 验证码登录的 client 信息
  socialLoginClient: 'social:social', // 社交登录的 client 信息
  websocket: false, // 是否开启websocket
  whiteList: ['/login', '/404', '/401', '/lock'], // 配置无权限可以访问的页面
  whiteTagList: ['/login', '/404', '/401', '/lock'], // 配置不添加tags页面 （'/advanced-router/mutative-detail/*'——*为通配符）
  passwordParam: {
    randomStr: 'blockPuzzle',
    minlength: 6
  },
  encryptKey: 'okayxokayxokayxo', // 登录密码加密key
  lockPage: '/lock',
  tokenTime: 3 * 60 * 60, // token过期时间，单位：时-分-秒
  Authorization: 'Authorization',
  // http的status默认放行不才用统一处理的,
  statusWhiteList: [400],
  // 配置首页不可关闭
  isFirstPage: false,
  // 系统界面配置
  setting: {
    sidebar: 'vertical',
    tag: true, // 是否显示tags
    debug: false,
    collapse: true,
    search: false,
    lock: false,
    screenshot: false,
    fullscren: false,
    theme: false,
    menu: false,
    color: false
  },
  fistPage: {
    name: '首页',
    path: '/wel/index'
  },
  // 配置菜单的属性
  menu: {
    props: {
      label: 'label',
      path: 'path',
      icon: 'icon',
      children: 'children'
    }
  },
  // 服务器地址
  serveUrl: 'http://172.16.20.213',
  // minio地址
  minioUrl: 'http://172.16.20.28:9090/',
  // 预览服务地址 地址传值格式为： encodeURIComponent(base64Encode(url))
  kkfileViewUrl: 'http://172.16.20.242:8012/onlinePreview?url=',
  minioBucket: 'okdc-dev'
}
